#!/usr/local/bin/python

import ZSI
import sys
import subprocess

from string import join

ver = ZSI.Version()

cmd = ['wsdl2py']

if ver[0] == 2:
    if ver[1] == 0:
	# ZSI 2.0
	cmd.extend(sys.argv[1:-1] + ['--file', sys.argv[-1]])
    elif ver[1] == 1:
	cmd.extend(sys.argv[1:])
    else:
	sys.exit("Unknown version: %s" % join(ver, "."))
else:
    sys.exit("Unknown version: %s" % join(ver, "."))

print "%s" % join(cmd)
sys.exit(subprocess.call(cmd))
